<ion-header>
  <ion-toolbar>
    <ion-title> Contact Details </ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="dismissModal()"
        ><ion-icon name="close"></ion-icon
      ></ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <form [formGroup]="deliveryDetailsForm" (ngSubmit)="saveDeliveryDetails()">
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ion-item>
        <ion-label position="stacked">Receiver's Full Name </ion-label>
        <ion-input required type="text" formControlName="receiver"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="stacked">Contact Number </ion-label>
        <ion-input
          required
          type="text"
          formControlName="contactNumber"
        ></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="stacked">Full Address</ion-label>
        <ion-input formControlName="address"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="stacked">Instructions</ion-label>
        <ion-textarea formControlName="instructions"></ion-textarea>
      </ion-item>
    </ion-list>

    <div class="ion-padding">
      <ion-button expand="block" type="submit" class="ion-no-margin"
        >Save</ion-button
      >
    </div>
  </form>
</ion-content>
